
From: Miles Bader <miles@gnu.org>

Signed-off-by: Miles Bader <miles@gnu.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/asm-v850/page.h |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN include/asm-v850/page.h~v850-define-pfn_valid include/asm-v850/page.h
--- devel/include/asm-v850/page.h~v850-define-pfn_valid	2005-07-25 21:36:14.000000000 -0700
+++ devel-akpm/include/asm-v850/page.h	2005-07-25 21:36:14.000000000 -0700
@@ -1,8 +1,8 @@
 /*
  * include/asm-v850/page.h -- VM ops
  *
- *  Copyright (C) 2001,02,03  NEC Electronics Corporation
- *  Copyright (C) 2001,02,03  Miles Bader <miles@gnu.org>
+ *  Copyright (C) 2001,02,03,05  NEC Electronics Corporation
+ *  Copyright (C) 2001,02,03,05  Miles Bader <miles@gnu.org>
  *
  * This file is subject to the terms and conditions of the GNU General
  * Public License.  See the file COPYING in the main directory of this
@@ -113,6 +113,7 @@ typedef unsigned long pgprot_t;
 
 #define pfn_to_page(pfn)	virt_to_page (pfn_to_virt (pfn))
 #define page_to_pfn(page)	virt_to_pfn (page_to_virt (page))
+#define pfn_valid(pfn)	        ((pfn) < max_mapnr)
 
 #define	virt_addr_valid(kaddr)						\
   (((void *)(kaddr) >= (void *)PAGE_OFFSET) && MAP_NR (kaddr) < max_mapnr)
_
